<template>
  <div class="body">
    <el-row class="ehart-head" :gutter="20">
      <el-col :xs="24" :sm="16" :md="16" :lg="16" :xl="16">
        <div class="grid-content bg-purple">
          <h3>人口增长情况</h3>
          <line-chart :chart-data="lineChartData" />
        </div>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import LineChart from "./components/LineChart";
const lineChartData = {
  newVisitis: {
    expectedData: [100, 120, 161, 134, 105, 160, 165],
    actualData: [120, 82, 91, 154, 162, 140, 145],
  },
  messages: {
    expectedData: [200, 192, 120, 144, 160, 130, 140],
    actualData: [180, 160, 151, 106, 145, 150, 130],
  },
  purchases: {
    expectedData: [80, 100, 121, 104, 105, 90, 100],
    actualData: [120, 90, 100, 138, 142, 130, 130],
  },
  shoppings: {
    expectedData: [130, 140, 141, 142, 145, 150, 160],
    actualData: [120, 82, 91, 154, 162, 140, 130],
  },
};

export default {
  data() {
    return {
      lineChartData: lineChartData.newVisitis,
    };
  },
  mounted() {},
  components: {
    LineChart,
  },
  methods: {
    go(url) {
      window.open(url);
    },
  },
};
</script>

<style lang="scss" scoped>
.el-timeline-item__content {
  line-height: 26px;
}
.grid-content:hover,
.menu-list .menu-item:hover {
  box-shadow: 1px 1px 10px 1px #eee;
  transition: 0.5s;
  cursor: pointer;
}
.grid-content:not(:hover),
.menu-list .menu-item:not(:hover) {
  transition: 0.5s;
}
.body {
  background: #fff;
  padding: 20px;
  .ehart-head {
    margin-bottom: 20px;
    .grid-content {
      border: 1px solid #eee;

      &:nth-last-of-type(1) {
        margin-top: 20px;
      }

      h3 {
        font-size: 14px;
        border-bottom: 1px solid #eee;
        padding: 10px;
      }

      .get-list {
        width: 90%;
        margin: 0 auto;
        padding: 10px 0;

        li {
          width: 100%;

          display: flex;
          justify-content: space-around;
          border: 1px solid #eee;
          padding: 0px 0;
          border-bottom: none;

          &:nth-last-of-type(1) {
            border-bottom: 1px solid #eee;
          }

          h4 {
            width: 50%;
            height: 100%;
            padding-right: 10px;
            text-align: right;
            border-right: 1px solid #eee;
            font-size: 16px;
            font-weight: 100;
            margin: 17px 0;
            &:nth-last-of-type(1) {
              border: none;
              text-align: left;
              padding-left: 10px;
            }
          }
        }
      }

      .btns {
        width: 90%;
        margin: 0 auto;
        padding-top: 8px;
        padding-bottom: 20px;
      }
    }
    .block {
      padding: 20px;
    }
  }

  .menu-item {
    border: 1px solid #eee;
    text-align: center;
    padding-top: 10px;
    margin-bottom: 20px;

    p {
      margin: 10px 0;
      font-size: 16px;
    }
  }
}
</style>
